Scalable OGo (SOGo)

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004246SOGoActiveSyncpublic2017-08-08 00:072017-08-29 12:42
Reportermpeterma 
Assigned To 
PriorityhighSeverityminorReproducibilityalways
StatusnewResolutionopen 
Platformamd64OSFreeBSDOS Version11.1
Product Version3.2.8 
Target VersionFixed in Version 
Summary0004246: SOGo seems to expect row c_uid in table sogo_cache_folder_xxxx, causing ActiveSync Exception, after update from 3.2.7 -> 3.2.8
DescriptionWith SOGo 3.2.8, ActiveSync stopped working, raising exceptions in the log file like this:

Aug 08 05:37:23 sogod [1697]: Sleeping 60 seconds while detecting changes in Ping...
Aug 08 05:38:06 sogod [1627]: [WARN] pid 1697 has been hanging in the same request for 8 minutes
Aug 08 05:38:26 sogod [1697]: an exception occurred when executing query 'SELECT * FROM sogo_cache_folder_xxxxx WHERE c_path = '/GD2QVPDU9T5I15E7AKHE98CQFC' AND c_uid = 'xxxxx''
Aug 08 05:38:26 sogod [1697]: exception is ' NAME:PostgreSQL72FatalError REASON:fatal pgsql error (channel=>): ERROR: column "c_uid" does not exist
LINE 1: ... WHERE c_path = '/GD2QVPDU9T5I15E7AKHE98CQFC' AND c_uid = 'v...
^

It looks like it tries to operate like it is running on the nine tables schema, but still accessing the table with the username in the table name. Is there a way (and need?) to explicitly tell SOGo to not use the nine tables schema but instead operate on the "classic" three tables per user?
Steps To Reproduce- Update SOGo from 3.2.7 to 3.2.8
- no configuration change was applied from 3.2.7 to 3.2.8
Additional Information- using SOGo with PostgreSQL Database
- using the FreeBSD Ports version of SOGo
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0012165)
ludovic (administrator)
2017-08-11 13:23

Produce a stack trace when the exception is raised.

https://sogo.nu/nc/support/faq/article/how-do-i-debug-sogo.html [^]
(0012238)
SogoUser_101 (reporter)
2017-08-28 05:24

Also suddenly happened to me on 3.2.10. (Only build 3.2.10 again, no configuration change).
Fixed it by backing up, droping the tables and then restoring.
User avatar (0012242)
Christian Mack (developer)
2017-08-29 07:09

Did you try testing it with sogo-tool checkup?
(0012243)
Waschbuesch (reporter)
2017-08-29 12:41
edited on: 2017-08-29 12:42

Hi there,

this looks indeed like you are using the old DB layout. E.g. several tables per user, so the tables did not have c_uid in them.
If the query is looking for c_uid, it seems that the query is expecting the new DB layout, where all users share tables and are identified by the c_uid field / key.

As I do not know if the old schema can be enforced, maybe migrating to the new one is an option?

Download https://sogo.nu/files/downloads/SOGo/Sources/SOGo-3.2.10.tar.gz [^]
and look at the sql update script in
Scripts/sql-update-3.0.0-to-combined.sh
Note: As the file states, this switch is not done automatically on any upgrade, although new installs of SOGo will default to it AFAIK.


- Issue History
Date Modified Username Field Change
2017-08-08 00:07 mpeterma New Issue
2017-08-11 13:22 ludovic Severity block => minor
2017-08-11 13:23 ludovic Note Added: 0012165
2017-08-28 05:24 SogoUser_101 Note Added: 0012238
2017-08-29 07:09 Christian Mack Note Added: 0012242
2017-08-29 12:41 Waschbuesch Note Added: 0012243
2017-08-29 12:42 Waschbuesch Note Edited: 0012243 View Revisions


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker